Uploaded image for project: 'Percona Monitoring and Management'
  1. Percona Monitoring and Management
  2. PMM-9657

Upgrading to PMM-Server 2.26.0 causes pmm-managed Panic errors

Details

    • Bug
    • Status: Done
    • Critical
    • Resolution: Fixed
    • 2.25.0
    • None
    • None
    • Yes
    • Yes
    • C/S Core

    Description

      After upgrading pmm-server 2.25.0 to 2.26.0 with Mongodb TLS/SSL remote instance, pmm-managed has panic error

       

      User Impact: After upgrading user has no way to remove those remote instance, agents view is empty, pmm-managed logs full of panic error, CPU usage goes really high. 

      STR:
      1) Setup PMM-Server 2.25.0, add mongodb TLS/SSL instance remotely. 
      2) Wait for some time, check pmm-managed.logs no panic errors, all looks okay.
      3) Upgrade to 2.26.0
      4) all client nodes connection lost
      5) CPU usage increased
      6) Panic errors in pmm-managed logs. 

      Attachments

        Issue Links

          Activity

            People

              shashank.sinha Shashank Sinha
              puneet.kala Puneet Kala
              Votes:
              1 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Smart Checklist